# $Id: lame.spec,v 1.8 2004/04/28 13:02:58 dominik Exp $

%define name lame

%define version 3.96.1
%define cvsbuild 20021002

%define rel 1

%define cvs 0

%if%{cvs}
%define fversion %{cvsbuild}
%define release %{rel}.%{cvsbuild}
%else
%define fversion %{version}
%define release %{rel}
%endif

%if %(rpm -q redhat-release >>/dev/null && echo 1 || echo 0)
 %define _distro rh%(rpm -q --queryformat '%{VERSION}' redhat-release | awk -F. '{print $1}')
 %if %{_distro} == rh7
  # check if we have custom gcc32-3.2.x installed
  %define _gcc32        %(! test -x /usr/bin/gcc32 ; echo $?)
 %endif
%else
 %define _distro fc%(rpm -q --queryformat '%{VERSION}' fedora-release | awk -F. '{print $1}')
%endif

Summary: LAME Ain't an MP3 Encoder
Name: %{name}
Serial: 2
Version: %{version}
Release: %{release}
Copyright: LGPL
Vendor: The LAME Project
URL: http://lame.sourceforge.net
Group: Applications/Multimedia
Source0: http://telia.dl.sourceforge.net/lame/%{name}-%{fversion}.tar.gz
Patch0: %{name}-warnings.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: %{name}-libs = %{version}
BuildRequires: ncurses-devel >= 4.2
BuildRequires: gtk+-devel >= 1.2.0
%{?_with_vorbis:BuildRequires: libogg-devel}
BuildRequires: nasm >= 0.98.32
%if %{_distro} == rh7
BuildRequires: %{?_gcc32:gcc32 >= 3.2.2}%{!?_gcc32: gcc3 >= 3.1}
%else
BuildRequires: gcc >= 3.2.2
%endif

%package libs
Summary: LAME mp3 encoding library
Summary(pl): Biblioteka kodujca MP3 LAME
Group: Development/Libraries

%package libs-devel
Summary: Header files and devel documentation
Summary(pl): Pliki nagwkowe i dokumentacja developerska
Group: Development/Libraries
Requires: %{name}-libs = %{version}

%package libs-static
Summary: Static LAME library
Summary(pl): Biblioteki statyczne LAME
Group: Development/Libraries
Requires: %{name}-libs-devel = %{version}

%package mp3x
Summary: GTK frame analyzer
Summary(pl): Analizator ramek w GTK
Group: Applications/Multimedia

%description
Lame is a program which can be used to create compressed audio files.
(Lame ain't MP3 encoder). These audio files can be played back by
popular mp3 players such as mpg123.

%description -l pl
Lame jest programem, ktry suy do tworzenia skompresowanych plikw
dwikowych. (Lame nie jest programem do kompresji w formacie MP3).
Stworzone pliki mona odtwarza dekoderami MP3, np.: mpg123.

%description libs
LAME mp3 encoding library.

%description -l pl libs
Biblioteka enkodujca MP3 LAME.

%description libs-devel
Header files and devel documentation for LAME libraries.

%description -l pl libs-devel
Pliki nagwkowe i dokumentacja developerska bibliotek LAME.

%description libs-static
LAME static libraries.

%description -l pl libs-static
Biblioteki statyczne LAME.

%description mp3x
GTK frame analyzer.

%description -l pl mp3x
Analizator ramek w GTK.

%prep
%if%{cvs}
%setup -q -n %{name}
%else
%setup -q
%endif
%patch0 -p1 -b .warn

%build
%if %{_distro} == rh7
CC=%{?_gcc32:gcc32}%{!?_gcc32:gcc3} ; export CC
%endif
%configure \
	--enable-shared \
	--enable-static \
	--with-gtk-exec-prefix=%{_prefix} \
	--enable-expopt=no \
	--enable-mp3x \
	--enable-brhist \
	--enable-nasm \
	--enable-mp3rtp \
%{?_with_vorbis:--with-vorbis} \

%{__make}

%install
make install DESTDIR=$RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_prefix}/X11R6/bin
mv -f $RPM_BUILD_ROOT%{_bindir}/mp3x $RPM_BUILD_ROOT%{_prefix}/X11R6/bin/
mv -f $RPM_BUILD_ROOT%{_docdir}/%{name}/html  $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/

%clean
rm -rf $RPM_BUILD_ROOT

%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
#%doc USAGE TODO PRESETS.draft
%doc USAGE TODO
%attr(755,root,root) %{_bindir}/lame
%attr(755,root,root) %{_bindir}/mp3rtp
%{_mandir}/man1/lame.1*

%files libs
%defattr(644,root,root,755)
%doc COPYING LICENSE README ChangeLog
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files libs-devel
%defattr(644,root,root,755)
%doc API DEFINES HACKING STYLEGUIDE
%attr(755,root,root) %{_libdir}/lib*.so
%attr(755,root,root) %{_libdir}/lib*.la
%{_includedir}/lame

%files libs-static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%files mp3x
%defattr(644,root,root,755)
%attr(755,root,root) %{_prefix}/X11R6/bin/mp3x

%changelog
* Thu Nov 04 2004 TSUDA Fumika <builder@fumika.jp> 2:3.96.1-1
- 3.96.1
- Remove PRESETS.draft from %doc

* Wed Apr 28 2004 Dominik Mierzejewski <dominik@rangers.eu.org> 2:3.96-1
- 3.96

* Sat Feb 21 2004 Dominik Mierzejewski <dominik@rangers.eu.org> 2:3.95.1-2
- fixed building on RH9 (and probably others, too)

* Tue Feb 03 2004 Dominik Mierzejewski <dominik@rangers.eu.org> 2:3.95.1-1
- 3.95.1
- added Serial: tag in sync with other packages lying around

* Sun Dec 29 2002 Dominik Mierzejewski <dominik@rangers.eu.org> 3.93.1-1
- 3.93.1

* Mon Nov 18 2002 Dominik Mierzejewski <dominik@rangers.eu.org> 3.93-1
- 3.93
- removed obsolete patches
- builds only with gcc3

* Fri Oct 02 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- updated to latest CVS snapshot

* Sat Jun 29 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- updated to latest CVS snapshot
- removed gcc-3.1 detection patch (now in upstream)

* Thu Jun 27 2002 Dominik Mierzejewski <dominik@rangers.eu.org> 3.92-2
- fixed compilation warnings
- patch to detect gcc-3.1 properly

* Sun Apr 21 2002 Dominik Mierzejewski <dominik@rangers.eu.org> 3.92-1
- updated to 3.92

* Fri Jan 18 2002 Dominik Mierzejewski <dmierzej@elka.pw.edu.pl> 3.91-1
- updated to 3.91

* Wed Dec 26 2001 Dominik Mierzejewski <dmierzej@elka.pw.edu.pl> 3.90.1-1
- updated to latest stable version (3.90.1)
- removed obsolete patch

* Mon Dec 24 2001 Dominik Mierzejewski <dmierzej@elka.pw.edu.pl> 3.89-5
- don't use %%configure macro for now

* Fri Nov 07 2001 Dominik Mierzejewski <dmierzej@elka.pw.edu.pl> 3.89-4
- taken some ideas from PLD specfile
- split into more packages

* Wed Oct 05 2001 Dominik Mierzejewski <dmierzej@elka.pw.edu.pl> 3.89-3
- included a patch that works around core dumps after compiling
  with gcc-2.96 using -O3

* Sun Jul 29 2001 Dominik Mierzejewski <dmierzej@elka.pw.edu.pl> 3.89-2
- fixed last Changelog entry date
- moved lame.h to /usr/include

* Fri Jul 27 2001 Dominik Mierzejewski <dmierzej@elka.pw.edu.pl> 3.89-1
- updated to 3.89beta
- still no mp3rtp support
- still no vorbis ogg support (missing include files? sent info to authors)

* Thu May 10 2001 Dominik Mierzejewski <dmierzej@elka.pw.edu.pl> 3.88-1
- updated to 3.88beta
- removed obsolete patches
- include more documentation
- enabled shared library
- split into more subpackages for flexibility

* Sun Jan 07 2001 Dominik Mierzejewski <dmierzej@elka.pw.edu.pl> 3.87-1
- updated to 3.87beta
- modified spec heavily
- added devel package
- added patch to remove termcap dependency
- added patch to fix compilation warnings with gcc-2.96
- added a small patch to install lame.h with proper permissions

* Tue Aug 01 2000 Stuart Young <cefiar1@optushome.com.au>
- Updated RPM to 3.85beta.
- Modified spec file (merged George and Keitaro's specs)
- Added reasonable info to the specs to reflect the maintainer
- Renamed lame.spec (plain spec is bad, mmkay?).

* Fri Jun 30 2000 Keitaro Yosimura <ramsy@linux.or.jp>
- Updated RPM to 3.84alpha.
- Better attempt at an RPM, independant of 3.83 release.
- (This is all surmise as there was no changelog).

* Thu May 30 2000 Georges Seguin <crow@planete.net>
- First RPM build around 3.83beta
